# $Revision: 1.20.2.2 $, $Date: 2003/04/15 00:10:21 $
#
# Conditional build:
# _with_tests - perform "make test"
#
%include	/usr/lib/rpm/macros.perl
%define		pdir	XML
%define		pnam	libxml-perl
Summary:	Collection of Perl modules for working with XML
Summary(pl):	Kolekcja moduw Perla do pracy z XML
Name:		perl-libxml
Version:	0.07
Release:	10
License:	GPL
Group:		Development/Languages/Perl
Source0:	http://www.cpan.org/modules/by-module/%{pdir}/%{pnam}-%{version}.tar.gz
URL:		http://bitsko.slc.ut.us/libxml-perl/
BuildRequires:	perl >= 5.6.1
BuildRequires:	perl-XML-Parser >= 2.19
BuildRequires:	rpm-perlprov >= 4.0.2-104
Obsoletes:	perl-libxml-perl
BuildConflicts:	perl-Attribute-Persistent < 1.0-3
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
libxml-perl is a collection of smaller Perl modules, scripts, and
documents for working with XML in Perl. libxml-perl software works in
combination with XML::Parser, PerlSAX, XML::DOM, XML::Grove and
others.

%description -l pl
libxml-perl to zestaw mniejszych perlowych moduw, skryptw i
dokumentw do pracy z XML w Perlu. Dziaa w poczeniu z XML::Parser,
PerlSAX, XML::DOM, XML::Grove i innymi.

%prep
%setup -q -n %{pnam}-%{version}

%build
%{__perl} Makefile.PL
%{__make} OPTIMIZE="%{rpmcflags}"

%{?_with_tests:%{__make} test}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc README Change*
%{perl_sitelib}/Data/Grove.pm
%{perl_sitelib}/Data/Grove
%{perl_sitelib}/XML/*.pm
%{perl_sitelib}/XML/Handler/*.pm
%{perl_sitelib}/XML/Parser/*.pm
%{perl_sitelib}/XML/PatAct
%{_mandir}/man3/*

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld.org.pl>
All persons listed below can be reached at <cvs_login>@pld.org.pl

$Log: perl-libxml.spec,v $
Revision 1.20.2.2  2003/04/15 00:10:21  ankry
- replaced _noautoreq by BuildConflicts, rel++

Revision 1.20.2.1  2003/03/13 00:59:29  ankry
- BR: new rpm (new perl.prov), rel++

Revision 1.20  2003/02/25 00:43:23  radek
- use the __perl macro

Revision 1.19  2003/02/23 01:05:10  ankry
- added _noautoreqdep for perl(UNIVERSAL) - it is provided by perl-modules
  and perl-Attribute-Persistent
- rel. 9

Revision 1.18  2003/02/18 15:39:22  ankry
- massive attack: change CPAN URLs

Revision 1.17  2002/12/02 11:06:24  ankry
- massive cleaning

Revision 1.16  2002/10/01 10:05:29  radek
- provided informative summary
- added URL tag
- turned off tests (I suspect it's not this module's fault)

Revision 1.15  2002/09/16 08:37:14  ankry
- added tests on bcond
- remove %%{perl_sitelib}/XML/{Handler,Parser} dirs (moved to perl)
- release 8

Revision 1.14  2002/07/16 11:42:38  ankry
- translations, cleaning
- release 7

Revision 1.13  2002/07/13 15:42:23  qboosh
- new %%doc, cosmetics

Revision 1.12  2002/05/11 14:28:16  kloczek
- s/ftp.perl.org/ftp.cpan.org/ in Source url.

Revision 1.11  2002/04/12 14:30:00  qboosh
- removed %%{perl_sitelib}/XML dir - it's in perl; release 6

Revision 1.10  2002/03/03 22:21:00  marcus
- rel.5.

Revision 1.9  2002/02/22 23:29:34  kloczek
- removed all Group fields translations (our rpm now can handle translating
  Group field using gettext).

Revision 1.8  2002/02/13 20:28:06  kloczek
- adapterized.

Revision 1.7  2002/02/10 15:40:15  depesz
adapterized

Revision 1.6  2002/01/18 02:14:35  kloczek
perl -pi -e "s/pld-list\@pld.org.pl/feedback\@pld.org.pl/"

Revision 1.5  2002/01/02 12:31:08  kloczek
- release 4: perl-libxml-perl added to Obsoletes for allow upgrade from MDK version.

Revision 1.4  2001/12/12 11:06:07  qboosh
- pl description; release 3

Revision 1.3  2001/11/28 15:20:26  mis
- buildarch noarch; release++

Revision 1.2  2001/05/02 21:51:25  qboosh
- adapterized and made spec %%debug ready or added using %%rpm*flags macros

Revision 1.1  2001/04/30 14:59:01  baggins
- initial revision
